<%@ page language="java" contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="shiro" uri="http://shiro.apache.org/tags" %>
<c:set var="contextPath" value="${pageContext.request.contextPath}"></c:set>

<link rel="stylesheet" href="${contextPath}/static/assets/css/jquery-ui.css" />
<link rel="stylesheet" href="${contextPath}/static/assets/css/ui.jqgrid.css" />

<div class="row">
	<div class="col-xs-12">
		<table id="grid-table">
            <input id="keyword" class="input-medium search-query" type="text" placeholder ="搜索关键字"/>&nbsp;
			   <select class="select" id="orderState">
			      <option value="" selected = "selected">状态</option>
			      <option value="32">待出函</option>
			      <option value="40">已出函</option>
			      <option value="41">已配送</option>
			   </select>&nbsp;
				<input type="text" class="input-sm" placeholder="选择付款开始日期" id="startDate"/>&nbsp;
				<input type="text" class="input-sm" placeholder="选择付款结束日期" id="endDate"/>&nbsp;
				<button id="searchd" type="button" class="btn btn-primary btn-sm" >筛选</button>&nbsp;
			   <button type="button" class="btn btn-success btn-sm" onclick='showothers()' id="showothers">
			      隐藏字段
			   </button>				
		</table>
		<div id="grid-pager"></div>

		<script type="text/javascript">
			var $path_base = "${contextPath}/static";//in Ace demo this will be used for editurl parameter
		</script>

		<!-- PAGE CONTENT ENDS -->
	</div><!-- /.col -->
</div><!-- /.row -->
<div id="modal-edit-tax" class="modal fade" tabindex="-1"
	data-backdrop="static">
	<div class="modal-dialog" style="min-width: 650px;">
		<div class="modal-content">
			<div class="modal-header no-padding">
				<div class="table-header">
					<button type="button" class="close" data-dismiss="modal"
						aria-hidden="true">
						<span class="white">&times;</span>
					</button>
					是否含税
				</div>
			</div>
			<div class="modal-body" id="modal-jjgs-body">
				<form id="modalEditTax" class="form-horizontal">
				<input type="hidden" name="orderId" id="modal-edit-tax-orderId" />
					<div class="form-group" id="modal-edit-tax-div">
						<label class="col-sm-2 control-label">是否含税:</label>
						<div class="col-sm-10 text-left">
							<select class="select" id="modal-edit-tax-s" name="modal-edit-tax-s">
								<option value="0">否</option>
								<option value="1">是</option>
							</select>
						</div>
					</div>
				</form>
			</div>
			<div class="modal-footer no-margin-top">
				<div class="text-center">
					<button id="modal-edit-tax-submit" type="button"
						class="btn btn-sm btn-primary">
						<i class="ace-icon fa fa-floppy-o bigger-160"></i> 保存
					</button>
					<button class="btn btn-sm" data-dismiss="modal">
						<i class="ace-icon fa fa-share bigger-160"></i> 取消
					</button>
				</div>
			</div>
		</div>
	</div>
</div>

<div id="modal-edit-remark" class="modal fade" tabindex="-1"
	 data-backdrop="static">
	<div class="modal-dialog" style="min-width: 650px;">
		<div class="modal-content">
			<div class="modal-header no-padding">
				<div class="table-header">
					<button type="button" class="close" data-dismiss="modal"
							aria-hidden="true">
						<span class="white">&times;</span>
					</button>
					修改备注
				</div>
			</div>
			<div class="modal-body" id="modal-remark-body">
				<form id="modalEditRemark" class="form-horizontal">
					<input type="hidden" name="orderId" id="modal-edit-remark-orderId" />
					<div class="form-group" id="modal-edit-remark-div">
						<label class="col-sm-2 control-label">修改备注:</label>
						<div class="col-sm-10 text-left">
							 <textarea placeholder="输入备注信息" style="width: 100%;height: 100%" id="remark_area"/>
						</div>
					</div>
				</form>
			</div>
			<div class="modal-footer no-margin-top">
				<div class="text-center">
					<button id="modal-edit-remark-submit" type="button"
							class="btn btn-sm btn-primary">
						<i class="ace-icon fa fa-floppy-o bigger-160"></i> 保存
					</button>
					<button class="btn btn-sm" data-dismiss="modal">
						<i class="ace-icon fa fa-share bigger-160"></i> 取消
					</button>
				</div>
			</div>
		</div>
	</div>
</div>

<!-- page specific plugin scripts -->
<script type="text/javascript">
		var scripts = [ null,  "${contextPath}/static/assets/js/date-time/bootstrap-datepicker.js", "${contextPath}/static/assets/js/date-time/locales/bootstrap-datepicker.zh-CN.js", "${contextPath}/static/assets/js/jqGrid/jquery.jqGrid.js", "${contextPath}/static/assets/js/jqGrid/i18n/grid.locale-cn.js", null ]
        $('.page-content-area').ace_ajax('loadScripts', scripts, function() {
        	// inline scripts related to this page
        	jQuery(function($) {
        		var grid_selector = "#grid-table";
        		var pager_selector = "#grid-pager";

        		// resize to fit page size
        		$(window).on('resize.jqGrid', function() {
        			$(grid_selector).jqGrid('setGridWidth', $(".page-content").width());
        		})
        		// resize on sidebar collapse/expand
        		var parent_column = $(grid_selector).closest('[class*="col-"]');
        		$(document).on('settings.ace.jqGrid', function(ev, event_name, collapsed) {
        			if (event_name === 'sidebar_collapsed' || event_name === 'main_container_fixed') {
        				// setTimeout is for webkit only to give time for DOM changes and then redraw!!!
        				setTimeout(function() {
        					$(grid_selector).jqGrid('setGridWidth', parent_column.width());
        				}, 0);
        			}
        		})

        		myGrid=	jQuery(grid_selector).jqGrid({
        			subGrid : false,
        			url : "${contextPath}/fs/report/getSsdbPay",
        			datatype : "json",
        			height : '100%',
        			width : 'auto',
        			shrinkToFit:false,
        			autoScroll: false,
        			colNames : ['订单号', '订单时间', '付款时间','登陆名', '公司名称', 
        			            '原告','省','市','法院','标的',
        			            '保费','服务费比例','法度应收服务费','积分比例','律师','律师积分','备注','操作'],
        			colModel : [ {
        				name : 'id',
        				index : 'id',
        				width : 120,
        				sorttype : 'date',
        				editable : false,
        			}, {
        				name : 'createDate',
        				index : 'createDate',
        				width : 150,
        				editable : false,
        			},{
        				name : 'sendeDate',
        				index : 'sendeDate',
        				width : 150,
        				editable : false,
        			},{
        				name : 'companyLoginName',
        				index : 'loginName',
        				width : 80,
        				editable : false,
        				search : false,
        			}, {
        				name : 'companyName',
        				index : 'companyName',
        				width : 80,
        				editable : false,
        				sorttype : 'double',
        				search : false,//15
        			},{
                  name : 'plaintiff',
                  index :'plaintiff',
                  label : '原告',
                  width :80,
               },{
                   name : 'province',
                   label : '省',
                   width : 120,
                },{
                   name : 'cityName',
                   label : '市',
                   width : 120,
                },{
                   name : 'courtName',
                   index :'courtName',
                   label : '法院',
                   width :180,
                },{
                  name : 'sqbd',
                  label : '标的',
                  width :100,
                  search : false,
                },{//25
                  name : 'fee',
                  index : 'fee',
                  label : '保费',
                  width : 80,
                  editable : false,
                  search : false,
                }, {
                  name : 'commision',
                  index : 'commision',
                  width : 80,
                  label : '服务费比例',
                  editable : false,
                  search : false,
                },{
        				name : 'serviceFee',
        				index : 'serviceFee',
        				width : 80,
        				label : '法度应收服务费',
        				editable : false,
        				search : false,
        			 },{
                  name : 'commisionLawyer',
                  index : 'commisionLawyer',
                  width : 80,
                  label : '积分比例',
                  editable : false,
                  search : false,
                  formatter : commisionFormatter
                }, {
                        name : 'lawyerName',
                        index : 'lawyerName',
                        width : 150,
                        label : '律师',
                        editable : false,
                    },{
        				name : 'pointl',
        				index : 'pointl',
        				width : 80,
        				label : '律师积分',
        				editable : false,
        				search : false,
        			 },{
                        name : 'fsRemark',
                        index : 'fsRemark',
                        width : 150,
                        label : '备注',
                        editable : false,
                    },{
       				name : 'id',
       				index : '',
       				width : 90,
       				editable : false,
       				search : false,
       				sortable : false,
         			fixed:true,
       				formatter : optionFormatter
       			 }],
        			//scroll : 1, // set the scroll property to 1 to enable paging with scrollbar - virtual loading of records
        			sortname : "createDate",
        			sortorder : "desc",
        			viewrecords : true,
        			rowNum : 10,
        			rowList : [ 10, 20, 30, 300, 500 ],
        			pager : pager_selector,
        			altRows : true,
        			//toppager : true,
        			multiselect : true,
        			//multikey : "ctrlKey",
        	        multiboxonly : true,
        			loadComplete : function() {
        				var table = this;
        				setTimeout(function(){
        					styleCheckbox(table);
        					updateActionIcons(table);
        					updatePagerIcons(table);
        					enableTooltips(table);
        				}, 0);
        			},        			
        			editurl : "${contextPath}/fs/report/editSsdbPay"
        			//caption : "用户管理列表",
        			//autowidth : true,
        			/**
        			grouping : true, 
        			groupingView : { 
        				 groupField : ['name'],
        				 groupDataSorted : true,
        				 plusicon : 'fa fa-chevron-down bigger-110',
        				 minusicon : 'fa fa-chevron-up bigger-110'
        			},
        			*/
        		});
        		function optionFormatter(cellvalue, options, cell) {
	     			var template = "<button data-toggle='modal' onclick='editContainTax(\""+cell.id+"\",\""+cell.fsRemark+"\")' class='btn btn-minier btn-yellow'><i class='ace-icon fa fa-hdd-o '></i>修改备注</button>";
	     			return template;
	     		}
        		function commisionFormatter(cellvalue, options, cell) {
        			return cellvalue*100+'%';
        		}
        		
        		$(window).triggerHandler('resize.jqGrid');// trigger window resize to make the grid get the correct size
        		
        		// enable search/filter toolbar
        		// jQuery(grid_selector).jqGrid('filterToolbar',{defaultSearch:true,stringResult:true})
        		// jQuery(grid_selector).filterToolbar({});
        		// switch element when editing inline
        		function aceSwitch(cellvalue, options, cell) {
        			setTimeout(function() {
        				$(cell).find('input[type=checkbox]').addClass('ace ace-switch ace-switch-5').after('<span class="lbl"></span>');
        			}, 0);
        		}
        		
        		//搜索
				$("#searchd").click(function(){
					var keyword =$("#keyword").val();
					var startDate =$("#startDate").val();
					var endDate =$("#endDate").val();
					myGrid.setGridParam({postData:{keyword:keyword, startDate:startDate, endDate:endDate, page:1},url : '${contextPath}/fs/report/getSsdbPay',page:1}).trigger('reloadGrid');	
				});
        		
        		// navButtons
        		jQuery(grid_selector).jqGrid('navGrid', pager_selector, { // navbar options
        			edit : <shiro:hasPermission name="${ROLE_KEY}:ssdbReport:edit">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:ssdbReport:edit">false</shiro:lacksPermission>,
        			editicon : 'ace-icon fa fa-pencil blue',
        			//add : <shiro:hasPermission name="${ROLE_KEY}:ssdbReport:add">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:ssdbReport:add">false</shiro:lacksPermission>,
        			//addicon : 'ace-icon fa fa-plus-circle purple',
        			//del : <shiro:hasPermission name="${ROLE_KEY}:ssdbReport:delete">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:ssdbReport:delete">false</shiro:lacksPermission>,
        			//delicon : 'ace-icon fa fa-trash-o red',
        			//search : <shiro:hasPermission name="${ROLE_KEY}:ssdbReport:search">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:ssdbReport:search">false</shiro:lacksPermission>,
        			//searchicon : 'ace-icon fa fa-search orange',
        			refresh : true,
        			refreshicon : 'ace-icon fa fa-refresh blue',
        			view : <shiro:hasPermission name="${ROLE_KEY}:ssdbReport:view">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:ssdbReport:view">false</shiro:lacksPermission>,
        			viewicon : 'ace-icon fa fa-search-plus grey'
        		}, {
        			// edit record form
        			// closeAfterEdit: true,
        			// width: 700,
        			recreateForm : true,
        			beforeShowForm : function(e) {
        				var form = $(e[0]);
        				form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
        				style_edit_form(form);
        			},
    				errorTextFormat: function (response) {
    					var result = eval('('+response.responseText+')');
    				    return result.message;
    				}
        		}, {
        			// new record form
        			// width: 700,
        			closeAfterAdd : true,
        			recreateForm : true,
        			viewPagerButtons : false,
        			beforeShowForm : function(e) {
        				var form = $(e[0]);
        				form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
        				style_edit_form(form);
        			},
    				errorTextFormat: function (response) {
    					var result = eval('('+response.responseText+')');
    				    return result.message;
    				}
        		}, {
        			// delete record form
        			recreateForm : true,
        			beforeShowForm : function(e) {
        				var form = $(e[0]);
        				if (form.data('styled'))
        					return false;
        				form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
        				style_delete_form(form);
        				form.data('styled', true);
        			},
        			onClick : function(e) {
        				// alert(1);
        			}
        		}, {
        			// search form
        			recreateForm : true,
        			afterShowSearch : function(e) {
        				var form = $(e[0]);
        				form.closest('.ui-jqdialog').find('.ui-jqdialog-title').wrap('<div class="widget-header" />')
        				style_search_form(form);
        			},
        			afterRedraw : function() {
        				style_search_filters($(this));
        			},
        			multipleSearch : true 
	        		/**
	        		 * multipleGroup:true, showQuery: true
	        		 */
        		}, {
        			// view record form
        			recreateForm : true,
        			beforeShowForm : function(e) {
        				var form = $(e[0]);
        				form.closest('.ui-jqdialog').find('.ui-jqdialog-title').wrap('<div class="widget-header" />')
        			}
        		})
        		
        		// add custom button to export the data to excel
        		if(<shiro:hasPermission name="${ROLE_KEY}:ssdbReport:export">true</shiro:hasPermission><shiro:lacksPermission name="${ROLE_KEY}:ssdbReport:export">false</shiro:lacksPermission>){
    				jQuery(grid_selector).jqGrid('navButtonAdd', pager_selector,{
   					   caption : "",
   				       title : "导出Excel",
   				       buttonicon : "ace-icon fa fa-file-excel-o green", 
   				       onClickButton : function () { 
   				    	   var keys = [], ii = 0, rows = "";
   				    	   var ids = $(grid_selector).getDataIDs(); // Get All IDs
   				    	   var row = $(grid_selector).getRowData(ids[0]); // Get First row to get the labels
   				    	   //var label = $(grid_selector).jqGrid('getGridParam','colNames');
   	   			    	   for (var k in row) {
   				    	   	   keys[ii++] = k; // capture col names
   				    	   	   rows = rows + k + "\t"; // output each Column as tab delimited
   				    	   }
   				    	   rows = rows + "\n"; // Output header with end of line
   				    	   for (i = 0; i < ids.length; i++) {
   				    	   	   row = $(grid_selector).getRowData(ids[i]); // get each row
   				    	   	   for (j = 0; j < keys.length; j++)
   				    	   		   rows = rows + row[keys[j]] + "\t"; // output each Row as tab delimited
   				    	   	   rows = rows + "\n"; // output each row with end of line
   				    	   }
   				    	   rows = rows + "\n"; // end of line at the end				    	   
  				    	   var form = "<form name='csvexportform' action='${contextPath}/fs/report/getExcel?fileName=ssdb' method='post'>";
  				    	   form = form + "<input type='hidden' name='csvBuffer' value='" + encodeURIComponent(rows) + "'>";
  				    	   form = form + "<input type='hidden' name='fileName' value='ssdb'>";
  				    	   form = form + "</form><script>document.csvexportform.submit();</sc" + "ript>";
  				    	   OpenWindow = window.open('', '');
  				    	   OpenWindow.document.write(form);
  				    	   OpenWindow.document.close();
   				       } 
   					});        			
        		}
        		
        		function style_edit_form(form) {
        			// form.find('input[name=statusCn]').addClass('ace ace-switch ace-switch-5').after('<span class="lbl"></span>');
        			// don't wrap inside a label element, the checkbox value won't be submitted (POST'ed)
        			// .addClass('ace ace-switch ace-switch-5').wrap('<label class="inline" />').after('<span class="lbl"></span>');

        			// update buttons classes
        			var buttons = form.next().find('.EditButton .fm-button');
        			buttons.addClass('btn btn-sm').find('[class*="-icon"]').hide();// ui-icon, s-icon
        			buttons.eq(0).addClass('btn-primary').prepend('<i class="ace-icon fa fa-check"></i>');
        			buttons.eq(1).prepend('<i class="ace-icon fa fa-times"></i>')

        			buttons = form.next().find('.navButton a');
        			buttons.find('.ui-icon').hide();
        			buttons.eq(0).append('<i class="ace-icon fa fa-chevron-left"></i>');
        			buttons.eq(1).append('<i class="ace-icon fa fa-chevron-right"></i>');
        		}

        		function style_delete_form(form) {
        			var buttons = form.next().find('.EditButton .fm-button');
        			buttons.addClass('btn btn-sm btn-white btn-round').find('[class*="-icon"]').hide();// ui-icon, s-icon
        			buttons.eq(0).addClass('btn-danger').prepend('<i class="ace-icon fa fa-trash-o"></i>');
        			buttons.eq(1).addClass('btn-default').prepend('<i class="ace-icon fa fa-times"></i>')
        		}

        		function style_search_filters(form) {
        			form.find('.delete-rule').val('X');
        			form.find('.add-rule').addClass('btn btn-xs btn-primary');
        			form.find('.add-group').addClass('btn btn-xs btn-success');
        			form.find('.delete-group').addClass('btn btn-xs btn-danger');
        		}
        		function style_search_form(form) {
        			var dialog = form.closest('.ui-jqdialog');
        			var buttons = dialog.find('.EditTable')
        			buttons.find('.EditButton a[id*="_reset"]').addClass('btn btn-sm btn-info').find('.ui-icon').attr('class', 'ace-icon fa fa-retweet');
        			buttons.find('.EditButton a[id*="_query"]').addClass('btn btn-sm btn-inverse').find('.ui-icon').attr('class', 'ace-icon fa fa-comment-o');
        			buttons.find('.EditButton a[id*="_search"]').addClass('btn btn-sm btn-purple').find('.ui-icon').attr('class', 'ace-icon fa fa-search');
        		}

        		function beforeDeleteCallback(e) {
        			var form = $(e[0]);
        			if (form.data('styled'))
        				return false;
        			form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
        			style_delete_form(form);
        			form.data('styled', true);
        		}

        		function beforeEditCallback(e) {
        			var form = $(e[0]);
        			form.closest('.ui-jqdialog').find('.ui-jqdialog-titlebar').wrapInner('<div class="widget-header" />')
        			style_edit_form(form);
        		}

        		// it causes some flicker when reloading or navigating grid
        		// it may be possible to have some custom formatter to do this as the grid is being created to prevent this
        		// or go back to default browser checkbox styles for the grid
        		function styleCheckbox(table) {
        			/**
        			 * $(table).find('input:checkbox').addClass('ace') .wrap('<label />') .after('<span class="lbl align-top" />') $('.ui-jqgrid-labels th[id*="_cb"]:first-child')
        			 * .find('input.cbox[type=checkbox]').addClass('ace') .wrap('<label />').after('<span class="lbl align-top" />');
        			 */
        		}

        		// unlike navButtons icons, action icons in rows seem to be hard-coded
        		// you can change them like this in here if you want
        		function updateActionIcons(table) {
        			/**
        			 * var replacement = { 'ui-ace-icon fa fa-pencil' : 'ace-icon fa fa-pencil blue', 'ui-ace-icon fa fa-trash-o' : 'ace-icon fa fa-trash-o red', 'ui-icon-disk' : 'ace-icon fa fa-check green', 'ui-icon-cancel' :
        			 * 'ace-icon fa fa-times red' }; $(table).find('.ui-pg-div span.ui-icon').each(function(){ var icon = $(this); var $class = $.trim(icon.attr('class').replace('ui-icon', '')); if($class in replacement)
        			 * icon.attr('class', 'ui-icon '+replacement[$class]); })
        			 */
        		}

        		// replace icons with FontAwesome icons like above
        		function updatePagerIcons(table) {
        			var replacement = {
        				'ui-icon-seek-first' : 'ace-icon fa fa-angle-double-left bigger-140',
        				'ui-icon-seek-prev' : 'ace-icon fa fa-angle-left bigger-140',
        				'ui-icon-seek-next' : 'ace-icon fa fa-angle-right bigger-140',
        				'ui-icon-seek-end' : 'ace-icon fa fa-angle-double-right bigger-140'
        			};
        			$('.ui-pg-table:not(.navtable) > tbody > tr > .ui-pg-button > .ui-icon').each(function() {
        				var icon = $(this);
        				var $class = $.trim(icon.attr('class').replace('ui-icon', ''));

        				if ($class in replacement)
        					icon.attr('class', 'ui-icon ' + replacement[$class]);
        			})
        		}

        		function enableTooltips(table) {
        			$('.navtable .ui-pg-button').tooltip({
        				container : 'body'
        			});
        			$(table).find('.ui-pg-div').tooltip({
        				container : 'body'
        			});
        		}

        		// var selr = jQuery(grid_selector).jqGrid('getGridParam','selrow');

        		$(document).one('ajaxloadstart.page', function(e) {
        			$(grid_selector).jqGrid('GridUnload');
        			$('.ui-jqdialog').remove();
        		});
        		
        		$('#startDate').datepicker({
       		        language: 'zh-CN',
       		        pickTime: false,
       		        todayBtn: true,
       		        autoclose: true,
       		        minView: '2',
       		        forceParse: false,
       		        format:"yyyy-mm-dd"
       		    });
       			$('#endDate').datepicker({
       		        language: 'zh-CN',
       		        pickTime: false,
       		        todayBtn: true,
       		        autoclose: true,
       		        minView: '2',
       		        forceParse: false,
       		        format:"yyyy-mm-dd"
       		    });        		
        	});
        });

      function showothers(){
          if($("#showothers").text()=="隐藏字段"){
              $("#showothers").text("显示字段");
              myGrid.setGridParam().hideCol("province").trigger("reloadGrid");
              myGrid.setGridParam().hideCol("cityName").trigger("reloadGrid");
              myGrid.setGridParam().hideCol("plaintiff").trigger("reloadGrid");
              myGrid.setGridParam().hideCol("sqbd").trigger("reloadGrid");
              myGrid.setGridParam().hideCol("courtName").trigger("reloadGrid");          
           }else{
              $("#showothers").text("隐藏字段");
              myGrid.setGridParam().showCol("province").trigger("reloadGrid");
              myGrid.setGridParam().showCol("cityName").trigger("reloadGrid");
              myGrid.setGridParam().showCol("plaintiff").trigger("reloadGrid");
              myGrid.setGridParam().showCol("sqbd").trigger("reloadGrid");
              myGrid.setGridParam().showCol("courtName").trigger("reloadGrid");
           }
       }

        //改为修改备注
		function editContainTax(id,fsRemark){
            $("#modal-edit-remark").modal("toggle");
			$("#modal-edit-remark-orderId").val(id);
			$("#remark_area").val(fsRemark);
		}

		//修改备注
        $('#modal-edit-remark-submit').click(function(event) {
            var orderId = $('#modal-edit-remark-orderId').val();
            var remark = $("#remark_area").val();
            $.ajax({
                dataType : "json",
                url : "${contextPath}/fs/report/editRemark",
                type : "post",
                data : {
                    'orderId' : orderId,
                    'remark' : remark
                },
                complete : function(ret) {
                    if (ret.success) {
                        alert("修改成功！");
                        $("#modal-edit-remark").modal("toggle");
                        myGrid.trigger("reloadGrid");
                    }

                }
            });
        });
		
		$('#modal-edit-tax-submit').click(function(event) {
			var orderId = $('#modal-edit-tax-orderId').val();
 			setContainTax(orderId);
		});
		
		function setContainTax(orderId){
			var containTax = $('#modal-edit-tax-s').val();
			if(containTax == null || containTax == '' || containTax == undefined){
				alert("请选择是否含税");
			}else{
			$.ajax({
				dataType : "json",
				url : "${contextPath}/fs/report/setContainTax",
				type : "post",
				data : {
					'orderId' : orderId,
					'containTax' : containTax
				},
				complete : function(ret) {
					var ret = eval("(" + ret.responseText + ")");
					if(ret.success){
						$("#modal-edit-tax").modal("toggle");
						myGrid.trigger("reloadGrid");
					}else{
						alert(ret.message);
					}
				}
			});}
		}
</script>
